Subject: Re: [MOBILE-IP] FW: Clarification of draft-ietf-mobileip -challenge-09.txt

From: Yingchun Xu <[email-masked]>
Date: Mon, 10 Apr 2000 13:23:18 -0500

Pat,
During my presentation, Charles Perkins had a comment regarding the use of
"route optimization" draft in the "3G wireless" draft. One issue comes across is
the well-known UDP port used in the "route optimization" draft. If we decide to
use the "route optimization" draft, we need to use the well known port (434) as
specified in RFC2002 and the "route optim" draft for Mobile IP message in the
"3Gwireless" draft.

--Yingchun.

---

From: Gopal Dommety <[email-masked]>
Date: Mon, 10 Apr 2000 11:47:06 -0700

Look like I missed an intersting discussion on port numbers.What is the compelling reason
for having another port number?

Thanks
Gopal

>specified in RFC2002 and the "route optim" draft for Mobile IP message in the
Thank You.
Regards,
Gopal
-------------------------------------------------------------------------------------------------------------

Gopal Dommety
408 525 1404
[email-masked]
Cisco Systems, San Jose, CA, 95051

---

From: Pete McCann <[email-masked]>
Date: Mon, 10 Apr 2000 15:54:28 -0500

Gopal Dommety <[email-masked]> (GD) writes:

GD> Look like I missed an intersting discussion on port numbers.What
GD> is the compelling reason for having another port number?

Hi, Gopal,

There was a concern that for deployment scenarios where the PDSN had
only 1 network interface, choosing port 434 for the R-P interface
would mandate that the Mobile IP and R-P interface "daemons" be
implemented in the same "process" (I put those terms in quotes because
they may or may not apply to any particular operating environment, but
are illustrative of the complications that might arise).  This mandate
was considered too limiting; some people might want to completely
separate their Mobile IP and R-P interface implementations, so that
the Mobile IP process doesn't need to be aware of the R-P process and
vice-versa.

This doesn't necessarily mean that the Route Optimization messages
can't be used; we could still use the same message formats, just sent
to a different port.  However, it does make it apparent that the R-P spec
and Mobile IP are really different protocols that just happen to share
some of the same message formats and message flows.

-Pete

p.s. Due to a disk crash, I may have lost a few days of e-mail around
April 1st-3rd.  If anyone sent more comments on dynamic address
assignment in that period to which I haven't yet responded please
re-send them to me directly and I'll be sure to do so.

-Pete